import { resolveUrl } from '@wix/sdk-runtime/rest-modules';
function resolveComWixpressPingHubApiPublicNotificationsServiceUrl(opts) {
    const domainToMappings = {
        'api._api_base_domain_': [
            {
                srcPath: '/notifications-hub-server',
                destPath: '',
            },
        ],
        'www._base_domain_': [
            {
                srcPath: '/_api/ping/hub',
                destPath: '',
            },
            {
                srcPath: '/_api/ping/notifications',
                destPath: '',
            },
        ],
        'manage._base_domain_': [
            {
                srcPath: '/_api/ping/hub',
                destPath: '',
            },
            {
                srcPath: '/_api/ping/notifications',
                destPath: '',
            },
        ],
        'www.wixapis.com': [
            {
                srcPath: '/notifications/v3/notify',
                destPath: '/v3/notify',
            },
        ],
    };
    return resolveUrl(Object.assign(opts, { domainToMappings }));
}
const PACKAGE_NAME = '@wix/auto_sdk_notifications_notifications';
/**
 * Sends a notification.
 *
 *
 * The `notify()` function sends a [notification](https://support.wix.com/en/article/about-your-dashboard-notifications) to the specified recipients on the specified channels.
 *
 * List the the channels for the notification in the `channels` parameter .
 *
 * List the recipients for the notification in the `toContacts`, `toSiteContributors`, and `toTopicsSubscribers` parameters.
 */
export function notify(payload) {
    function __notify({ host }) {
        const metadata = {
            entityFqdn: 'wix.ping.notifications.v1.public_notification',
            method: 'POST',
            methodFqn: 'com.wixpress.ping.hub.api.PublicNotificationsService.Notify',
            packageName: PACKAGE_NAME,
            url: resolveComWixpressPingHubApiPublicNotificationsServiceUrl({
                protoPath: '/api/v1/notify',
                data: payload,
                host,
            }),
            data: payload,
        };
        return metadata;
    }
    return __notify;
}
//# sourceMappingURL=ping-notifications-v1-public-notification-notifications.http.js.map